Cyberduck Mountain Duck CLI

#11768 closed enhancement (fixed)

Write modification date in metadata

Reported by: wanderer Owned by:
Priority: normal Milestone: 8.0
Component: s3 Version: 7.10.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

When uploading files to IDrive Cloud S3 compatible storage, using Cyberduck 7.10.1, the modified datetimes are changed to the upload time and not preserved. Understand S3 modified times are stored in the metadata.Neither syncing nor downloading these objects behaves correctly. When syncing with the local disk, the source objects are deleted and replaced with the "newer" modified eventhough the files are the same. When downloadng the files back to a local disk, the modified time is the time of upload to the S3, not the orignal time.

I also tested Cloudberry file explorer, and while the upload showed a different modification date, upon download of the file back to the file system, the original modification date was restored (from the metadata).

Please see screenshots for source, upload, and downloaded files.

Attachments (4)

Cyberduck Version.JPG (33.5 KB) - added by wanderer on Aug 19, 2021 at 8:17:37 PM.
Cyberduck Source Upload.JPG (77.5 KB) - added by wanderer on Aug 19, 2021 at 8:17:47 PM.
Cyberduck Upload.JPG (64.5 KB) - added by wanderer on Aug 19, 2021 at 8:17:57 PM.
Cyberduck Download.JPG (57.9 KB) - added by wanderer on Aug 19, 2021 at 8:18:06 PM.

Download all attachments as: .zip

Change History (10)

Changed on Aug 19, 2021 at 8:17:37 PM by wanderer

Changed on Aug 19, 2021 at 8:17:47 PM by wanderer

Changed on Aug 19, 2021 at 8:17:57 PM by wanderer

Changed on Aug 19, 2021 at 8:18:06 PM by wanderer

comment:1 Changed on Aug 19, 2021 at 8:59:38 PM by dkocher

  • Summary changed from Missing modification date from src_last_modified_millis metadata to Write modification date in metadata

We have no implementation to store timestamps in metadata of S3 objects as it seems unfeasible because reading metadata for an object requires an additional HTTP request for every single file in an object listing.

comment:2 Changed on Aug 19, 2021 at 9:00:33 PM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Aug 29, 2021 at 9:47:11 AM by dkocher

#11783 closed as duplicate.

comment:4 Changed on Aug 30, 2021 at 6:29:17 AM by dkocher

Relates to #11784.

comment:5 Changed on Sep 28, 2021 at 11:25:20 AM by dkocher

  • Milestone set to 8.0
  • Resolution set to fixed
  • Status changed from new to closed

In r51987. Documentation and connection profile to read modification date in metadata forthcoming.

comment:6 Changed on Sep 28, 2021 at 2:25:49 PM by dkocher

Must have Preferences → Transfers → Timestamps → Uploads → Preserve modification date enabled to write modification date in custom metadata on upload and use the connection profile S3 (Timestamps).cyberduckprofile from r52259.

Note: See TracTickets for help on using tickets.